Namespace
library
Image / Tag
swift:6.0.1-focal
Content Digest
sha256:e5eabb7c36fb27fafbdf418ea2bbc6125ec936cfe6d6ce0e1f3d3b3ab31a75c5
Details
Created

2024-09-25 05:07:02 UTC

Size

928 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.0.1-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.0.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:d9802f032d6798e2086607424bfe88cb8ec1d6f116e11cd99592dcaf261e9cd2 - 2.83% (26.2 MB)

[#001] sha256:7b57b889a90019e1fa71bd2963e6e13dc94f3f7b83132265e91f4a9bf303487b - 12.38% (115 MB)

[#002] sha256:03e6a812fb391ffc28e345c7ff6cb5cbead2572481d5884ba63303b95af67874 - 84.79% (787 MB)

[#003] sha256:193af6ab2712d14cc7770cc920554ccdaa18fa4bdc79abe69d3616b62ae0ff01 - 0.0% (173 Bytes)


History
2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) ARG RELEASE

2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) ADD file:7486147a645d8835a5181c79f00a3606c6b714c83bcbfcd8862221eb14690f9e in /

2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.0.1-release

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.0.1-RELEASE

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Details
Created

2024-09-25 05:07:02 UTC

Size

920 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.0.1-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.0.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:1b9f3c55f9d4aa5c52eb67a4cb7d0f4726ab85a413b50e3e3fe788befce3d297 - 2.69% (24.8 MB)

[#001] sha256:e69cce01e9d8c771a7b0796ada618116987ea38afcec8953cbd43c22df570f79 - 12.16% (112 MB)

[#002] sha256:e95b7ba06c3b72540ca83a159a6aed6f198abdd9c7902a0ae710830a5eb41d59 - 85.15% (783 MB)

[#003] sha256:92878d0ae2bf0b48d97b9a26c118e2e391bfb4ae541302456995590072c9ada4 - 0.0% (174 Bytes)


History
2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) ARG RELEASE

2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) ADD file:8537b4db344382b39d669af27cd94ec0f870ceafe58c67ee54e3f9b38fb8d671 in /

2024-09-25 05:07:02 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.0.1-release

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.0.1-RELEASE

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete